Skip to main content

Patch released for Database Protection bug in EJBCA 7.2.0 and 7.2.1 - News / PrimeKey Announcements - PrimeKey Support

Aug 26 2019

Patch released for Database Protection bug in EJBCA 7.2.0 and 7.2.1

Authors list

The June release of EJBCA, version 7.2.0, unfortunately introduced a version incompatibility issue with database protection. It only affects EJBCA installations where database protection has been enabled in EJBCA, and not the default configuration. The issue is triggered when upgrading from an earlier version to either 7.2.0 or 7.2.1, and makes it impossible to access existing end entities created in earlier versions of EJBCA.

We have released a patch release, version 7.2.1.1, which rectifies this issue as well as an unrelated issue with the EST name generation USERNAME option.

If you are affected by either of the issues, we recommend that you upgrade. The database protection in the new version, 7.2.1.1, is fully backwards compatible with both the buggy releases 7.2.0, 7.2.1 and with older versions.

You can find 7.2.1.1 in your download area.

Contact us:


support@primekey.com


Global support number: +1 251 317 6984